import util from 'node:util';
import fs from 'node:fs';
import { exec } from 'node:child_process';
const terminal = util.promisify(exec);

const dbname = process.argv[2] || '../prisma/production.db';
const outFile = process.argv[3] || '../prisma/insert.sql';

terminal(`sqlite3 ${dbname} .dump | grep '^INSERT INTO '`).then(({ stdout, stderr }) => {
  if(stderr) {
    return console.error(stderr);
  }
  fs.writeFileSync(outFile, stdout);
  console.log(`Arquivo {${outFile}} gerado com sucesso!`);
})